
export interface Plugin {
  name: string;
  version: string;
  latest_version?: string;
  description?: string;
  authors: string[];
  has_update: boolean;
  api_version?: string;
  main_class?: string;
  depend?: string[] | null;
  soft_depend?: string[] | null;
  load_before?: string[] | null;
  commands?: any;
  permissions?: any;
  file_path: string;
  file_hash: string;
  website?: string;
  changelog?: string;
  repository_source?: string;
  repository_id?: string;
  repository_url?: string;
  platform_compatibility?: string[];
  found_by_flexible_search?: boolean;
}

export interface PluginDetailsProps {
  plugin: Plugin;
  onClose: () => void;
}

export interface PotentialPluginMatch {
  name: string;
  version: string;
  repository: string;
  repository_id: string;
  page_url: string;
  description?: string;
  minecraft_versions: string[];
  download_count?: number;
}