export type ServerType =
  | 'Paper'
  | 'Spigot'
  | 'Bukkit'
  | 'Vanilla'
  | 'Forge'
  | 'Fabric'
  | 'Velocity'
  | 'BungeeCord'
  | 'Waterfall'
  | 'Unknown';

export interface ServerInfo {
  server_type: ServerType;
  minecraft_version?: string;
  plugins_directory: string;
  plugins_count: number;
}

export interface ScanResult {
  server_info: ServerInfo;
  plugins: import('./plugin.types').Plugin[];
}

export interface ScanProgress {
  current: number;
  processed?: number;
  total: number;
  current_file: string;
}